=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 21.12.3~),
+               libkf5mime-dev (>= 22.08.1~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
@@ -22,7 +22,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 21.12.3~),
+         libkf5mime-dev (>= 22.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
 Description: library for handling mbox mailboxes - development files
