## kmbox 22.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: none
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_library(KF5Mbox)
 add_library(KF5::Mbox ALIAS KF5Mbox)
 
@@ -22,13 +25,16 @@
 
 generate_export_header(KF5Mbox BASE_NAME kmbox)
 
-target_include_directories(KF5Mbox INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox>")
+target_include_directories(KF5Mbox INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KMbox>")
 target_include_directories(KF5Mbox PUBLIC "$<BUILD_INTERFACE:${KMbox_SOURCE_DIR}/src;${KMbox_BINARY_DIR}/src>")
 
 target_link_libraries(KF5Mbox
    PUBLIC
     KF5::Mime 
 )
+if (TARGET Qt6::Core5Compat)
+    target_link_libraries(KF5Mbox PRIVATE Qt6::Core5Compat) # QTextCodec
+endif()
 
 set_target_properties(KF5Mbox PROPERTIES
     VERSION ${KMBOX_VERSION}
@@ -36,7 +42,7 @@
     EXPORT_NAME Mbox
 )
 
-install(TARGETS KF5Mbox EXPORT KF5MboxTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5Mbox EXPORT KF5MboxTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 ########### Generate Headers ###############
 ecm_generate_headers(KMbox_CamelCase_HEADERS
@@ -49,7 +55,7 @@
 
 install(FILES
     ${KMbox_CamelCase_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox/KMbox/
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KMbox/KMbox/
     COMPONENT Devel
 )
 
@@ -57,12 +63,12 @@
 install(FILES
   ${KMbox_BINARY_DIR}/src/kmbox_export.h
   ${KMbox_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox/kmbox
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KMbox/kmbox
     COMPONENT Devel
 )
 
 ecm_qt_install_logging_categories(EXPORT KMBOX FILE kmbox.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-ecm_generate_pri_file(BASE_NAME KMbox LIB_NAME KF5Mbox DEPS "KMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox)
+ecm_generate_pri_file(BASE_NAME KMbox LIB_NAME KF5Mbox DEPS "KMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KMbox)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 if (BUILD_QCH)
