=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.5~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 23.08.4~),
+Depends: libkf5mime-dev (>= 23.08.5~),
          libkpim5mbox5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
