=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kmbox
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
-               libkmime-dev (>= 24.08.2~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkmime-dev (>= 24.12.0~),
                qt6-base-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmbox
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmbox
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmbox.git
 Rules-Requires-Root: no
 
 Package: libkmbox-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkmime-dev (>= 24.08.2~),
+Depends: libkmime-dev (>= 24.12.0~),
          libkpim6mbox6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
